Bug 478000 - KMS:i845 and UMS:i845 hangs with black screen on boot (mouse alive on KMS)
KMS:i845 and UMS:i845 hangs with black screen on boot (mouse alive on KMS)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
12
i686 Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch, Reopened, Triaged
: 473427 474165 477323 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 00:02 EST by jannewmarch
Modified: 2018-04-11 03:36 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fedora 10 installation
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 11:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
startx X server log with no xorg.conf (29.92 KB, text/plain)
2009-01-16 22:40 EST, WilliamsJD
no flags Details
start X server log with the given xorg.conf (27.69 KB, text/plain)
2009-01-16 22:41 EST, WilliamsJD
no flags Details
xorg.conf file used when Xorg.1.log was produced (2.23 KB, text/plain)
2009-01-16 22:42 EST, WilliamsJD
no flags Details
Xorg.0.log with Fedora11 Beta LiveCD on i845 video (50.16 KB, text/plain)
2009-04-02 14:24 EDT, Antal KICSI
no flags Details
f13-intel-dmesg (53.03 KB, text/plain)
2010-03-11 10:01 EST, Alexey Kuznetsov
no flags Details
f13-intel-Xorg (258.40 KB, text/plain)
2010-03-11 10:02 EST, Alexey Kuznetsov
no flags Details
f13-intel-messages (981.95 KB, text/plain)
2010-03-11 10:02 EST, Alexey Kuznetsov
no flags Details

  None (edit)
Description jannewmarch 2008-12-27 00:02:53 EST
Description of problem: Fedora install hangs on Automatic Login screen. The screen shows highlighted "Automatic Login" plus bubble saying "Automatically login to the sytem after selecting options". Above that two lines of text are superimposed. Below are two buttons "Cancel" and "Login" neither of which espond to the mouse. Bottm bar is "Language" with no seletion and "Keyboard" with USA. Mouse moves okay.


Version-Release number of selected component (if applicable): 10


How reproducible: Boot from install disk


Steps to Reproduce:
1. Boot from install disk
2.
3.
  
Actual results: hangs


Expected results: installed v10


Additional info:
Comment 1 Dave Lahr 2008-12-29 05:03:58 EST
I see this also (Dell Dimension 8400)
Comment 2 Jeremy Katz 2009-01-04 22:34:20 EST
Can you switch ttys when this occurs?
Comment 3 jannewmarch 2009-01-04 23:17:05 EST
I can't switch ttys. There is no keyboard response. ctrl-alt-del doesn't work either and I have to hard-power down. The mouse responds to movement but not to mouse clicks.

Current working version of Linux is FC 8. Video card is Intel 82845G. Booting FC8, /var/log/messages reports "CPU0: Intel P4/Xeon Extended MCE MSRs (12) available". uname -a reports "i686".
Comment 4 Dave Lahr 2009-01-05 07:26:10 EST
I had the same behavior - could not switch to ttys, ctrl-alt-del didn't work, ctrl-alt-backspace didn't work either.  Same with the mouse.  I am currently running FC9 
uname -r reports
2.6.27.9-73.fc9.i686
Comment 5 Ray Strode [halfline] 2009-01-05 14:21:07 EST
GDM doesn't do anything to stop vt switches, must be a problem lower in the stack...

What kind of video cards do you have? Radeon?
Comment 6 Dave Lahr 2009-01-05 23:39:17 EST
I have the generic Intel one - from lspci:

VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
Comment 7 jannewmarch 2009-01-06 05:30:25 EST
Same here:

VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
Comment 8 Matěj Cepl 2009-01-06 19:12:03 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 9 Dave Lahr 2009-01-06 22:43:23 EST
to clarify - do you mean from my current distro of FC9?  Or during some pre-boot stage of the FC10 live image?
Comment 10 WilliamsJD 2009-01-16 22:40:44 EST
Created attachment 329270 [details]
startx X server log with no xorg.conf
Comment 11 WilliamsJD 2009-01-16 22:41:54 EST
Created attachment 329271 [details]
start X server log with the given xorg.conf
Comment 12 WilliamsJD 2009-01-16 22:42:55 EST
Created attachment 329272 [details]
xorg.conf file used when Xorg.1.log was produced
Comment 13 WilliamsJD 2009-01-16 22:43:57 EST
I have an HP Pavillion 503n with the same video chipset.  If I boot this machine from the Live CD I get the same behavior as stated above.

I have had very similar problems with a fully installed F10.  The machine boots to run level three, I ssh into it and run "startx".  Regardless of whether I have a xorg.conf or not, I get a crosshatch, then garbage, then a very odd pattern with no keyboard response (not even Num Lock) or mouse (or mouse cursor).

In the attachments I have provided, the Xorg.0.log was when I had no xorg.conf, and the Xorg.1.log was when I had the provided xorg.conf.

Also, lspci | grep VGA gives:

00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)

Hope that helps -- I'm suffering!
Comment 14 WilliamsJD 2009-01-17 09:59:40 EST
Sorry, I just wanted to add that this particular machine (the HP Pav 503n with the Intel 82845G/GL/GE) worked just fine with the X and driver in FC9.
Comment 15 Antal KICSI 2009-02-14 12:36:28 EST
I have an Fujitsu-Siemens ScenicS2 with the same video chipset.  If I boot this
machine from the Fedora10 LiveCD I get the same behavior as stated above. The same behavior I get from Fedora 11 Alpha LiveCD. 

I tested the LiveCD's also on an IBM NetVista 8313 and a Compaq Evo D510 with the same results. 

The error seems to be related to the acceleration method used in the xorg-x11-i810
driver (the default now is EXA before was XAA). In Fedora 10 there is a workaround: by generating an xorg.conf and changing the accel method to xaa the driver works. However in Fedora 11 Alpha this workaround does not work.
Comment 16 Antal KICSI 2009-04-02 14:24:54 EDT
Created attachment 337867 [details]
Xorg.0.log with Fedora11 Beta LiveCD on i845 video

The Fedora11 Beta Live CD does not work as expected on my hardware
(Fujitsu-Siemens ScenicS2 with i845 integrated video ): boots, almost
everything works exept no mouse cursor.  It detects motion, but the cursor is
invisible.I can guess where the cursor is and click in windows.This is the same
behaviour as with the 2009-03-12 intel Test Days Live CD.
I attached the Xorg.0.log for this case.

Adding "nomodeset" to the boot command line resulted in a running Xserver with
mouse cursor. Everithing looks normal, but the graphical interface is a bit slower 
then expected.

My computer works fine with Fedora8 and Fedora9, the above stated behaviour appeared since Fedora10.
Comment 17 Anoop Prasad 2009-06-05 15:36:05 EDT
Try to boot this machine in runlevel 3 by editing the default runlevel in /etc/inittab file. Then connect to the machine from another machine in the network. with -X option of ssh eg.
$ssh -X ip.add.re.ss

then run the follwing command if your computer is connected to the Internet.


$yum install system-config-display 
$system-config-display

change the screen resolution and the VGA card driver to vesa

and then try to boot the machine in runlevel 5. This may work for you.

Anoop
Comment 18 Vedran Miletić 2009-09-06 04:58:14 EDT
*** Bug 474165 has been marked as a duplicate of this bug. ***
Comment 19 Vedran Miletić 2009-09-06 04:58:31 EDT
*** Bug 473427 has been marked as a duplicate of this bug. ***
Comment 20 Vedran Miletić 2009-09-06 05:00:45 EDT
With current rawhide, it should work better. KMS shouldn't hang at least. Can you retry?
Comment 21 Vedran Miletić 2009-09-20 05:00:40 EDT
*** Bug 477323 has been marked as a duplicate of this bug. ***
Comment 22 Vedran Miletić 2009-11-01 07:40:52 EST
Reporter doesn't reply. Closing since we don't have sufficent data to debug this further. It's likely that it was fixed along with many changes in current intel driver.
Comment 23 Alexey Kuznetsov 2009-11-15 20:35:58 EST
same for f12.
Comment 24 Alexey Kuznetsov 2009-11-15 20:36:56 EST
UMS mode hung with black screen, KMS hungs with alive mouse.
Comment 25 Vedran Miletić 2009-11-16 03:22:59 EST
OK, let's reopen it then.
Comment 26 Alexey Kuznetsov 2009-11-16 09:24:25 EST
-56 kernel works better (fedora beta), -96 less better (gliches on screen), and last kernel -127 hangs.
Comment 27 Alexey Kuznetsov 2010-03-11 10:01:37 EST
Created attachment 399362 [details]
f13-intel-dmesg
Comment 28 Alexey Kuznetsov 2010-03-11 10:02:06 EST
Created attachment 399363 [details]
f13-intel-Xorg
Comment 29 Alexey Kuznetsov 2010-03-11 10:02:39 EST
Created attachment 399364 [details]
f13-intel-messages
Comment 30 Alexey Kuznetsov 2010-03-11 10:03:07 EST
f13 the same.
Comment 31 Matěj Cepl 2010-03-15 15:15:16 EDT
Alexey, I am suspicious, that you have different issue (actually duplicate of bug 573462) than what's going here -- your logs seem very different. Could you please move over there?
Comment 32 Alexey Kuznetsov 2010-03-15 16:41:09 EDT
yes, sorry. i choose wrong bug report to attach files. miss read the bug subject.
Comment 33 Matěj Cepl 2010-03-25 09:44:34 EDT
(In reply to comment #9)
> to clarify - do you mean from my current distro of FC9?  Or during some
> pre-boot stage of the FC10 live image?    

Sorry, I meant of course from the machine where the issue is reproducible. There are some ways we can try to get logs even from less than perfectly responding machine:

1) you can try to start in a text mode by adding 3 to the end of the kernel command line, and then you can login in the text mode as either root or liveuser, both of which should have no password
2) if you have some other computer with which you can connect to the tested one, login as root, and run

/sbin/service sshd restart

3) if you don't have other computer, then we have to just try our luck, and so in either case login liveuser and run startx
4) then it depends on the results. If Xorg crashes and you get back to the text mode, please collect and attach

* your X server config file (/etc/X11/xorg.conf, there shouldn't be any, just in case),
* output of the dmesg command after the crash,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.
5) if you don't have text mode and you can connect to the computer via ssh, you can collect the information through ssh.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 34 Alexey Kuznetsov 2010-04-01 09:02:35 EDT
http://bugs.freedesktop.org/show_bug.cgi?id=27187

gtt chipset flush v6 against kernel-2.6.34-rc3 (git) solve my issue! please apply against fedora build!
Comment 35 Matěj Cepl 2010-09-20 06:16:28 EDT
(In reply to comment #34)
> http://bugs.freedesktop.org/show_bug.cgi?id=27187
> 
> gtt chipset flush v6 against kernel-2.6.34-rc3 (git) solve my issue! please
> apply against fedora build!

And we are talking about this bug or about bug 573462 again?
Comment 36 Alexey Kuznetsov 2010-09-20 06:39:56 EDT
can be :(

what i found, nvidia opensource drivers has same issue. i think that is much deeper problem then just ati related bug.
Comment 37 Bug Zapper 2010-11-04 07:35:06 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 38 jannewmarch 2010-11-05 03:44:39 EDT
I no longer have that system. Sorry, can't test any more.
Comment 39 Matěj Cepl 2010-11-05 11:20:39 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.